<?php

add_filter('manage_post_posts_columns', 'newswire_event_table_head');
function newswire_event_table_head( $defaults ) {
	$defaults['newswire_source'] = "Source";
	$defaults['collections'] = "Collection IDs";
	return $defaults;
}

add_action( 'manage_post_posts_custom_column', 'newswire_event_table_content', 10, 2 );
function newswire_event_table_content( $column_name, $post_id ) {
	if ($column_name == 'collections') {
		$collections = get_post_meta( $post_id, 'newswire_collection_ids', true );
		if ( ! empty( $collections ) ) {
			echo implode(", ", $collections);
		} else {
			echo "&mdash;";
		}
	}

	if ($column_name == 'newswire_source') {
		$source = get_post_meta( $post_id, 'source', true );
		if($source=='ncstate_wire') {
			echo get_post_meta( $post_id, 'newswire_publisher', true );
			echo '<div class="row-actions"><span class="view"><a href="' . get_post_meta($post_id, 'newswire_source_url', true) . '" title="View original post" target="_blank">View Original</a></span></div>';
		} else {
			echo "&mdash;";
		}
	}
}

add_action( 'admin_head', 'newswire_hide_editor' );
function newswire_hide_editor() {
	global $pagenow;
	if( !( 'post.php' == $pagenow ) ) return;

	global $post;
	// Get the Post ID.
	$post_id = $_GET['post'] ? $_GET['post'] : $_POST['post_ID'];
	if( !isset( $post_id ) ) return;

	if(get_post_meta($post_id, 'source', true) == 'ncstate_wire') { 
		remove_post_type_support('post', 'editor');
	}
}